﻿namespace iFileProxy.Models
{
    public enum TaskState { 
        NoInit = 0, // 还未初始化
        Running = 1, // 正在进行
        Error = 2, // 任务执行时候发生错误 已经结束
        End = 3, // 任务正常结束
        Cached = 4, // 要下载的内容已经缓存
        Cleaned =5, // 内容过期已被清理
        Queuing = 6, // 正在排队
    }
    public enum TaskAddState { 
        Success = 0,
        Fail = 1,
        ErrUrlRepeat = 2,
        ErrTaskIdRepeat = 3,
        ErrUrlInvalid = 4,
        ErrDbFail = 5,
        ErrMaxParallelTasksLimit = 6,
        ErrFileSizeLimit = 7,
        ErrTargetHostForbidden = 8,
        ErrFileNameForbidden = 9,
        ErrIPForbidden = 10,
        ErrGetFileInfo = 11,
        Pending = 12,
        ErrQueueLengthLimit = 13,
    }
    public enum FileHashAlgorithm
    { 
        MD5,
        SHA1,
        SHA256,
        SHA384,
        SHA512,
    }
    public class DownloadFileInfo { 
        public string FileName { get; set; }
        public long Size { get; set; }
    }
}